<?php
 class Traitement // -- Classe Traitement --
 { // Déclaration de deux propriétés
   private $variable1;
   public  $variable2;
   // Constructeur
   function __construct(){
    $this->variable1=1;
    $this->variable2=2;
   }
  public function get1() {return $this->variable1;}
  public function get2() {return $this->variable2;}
 } // fin de la classe
 // création de l'objet
 $MesV = new Traitement();
 // --- Affichage ---
 echo "Première valeur   : ".$MesV->get1()."\n";
 echo "Deuxième valeur   : ".$MesV->get2()."\n";
?>
